show-eval.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
show-eval.cc File Reference
`#include "osl/eval/ml/openMidEndingEval.h"`
`#include "osl/progress/ml/newProgress.h"`
`#include "osl/record/csaRecord.h"`
`#include "osl/container/pieceValues.h"`
`#include "osl/state/numEffectState.h"`
`#include "osl/oslConfig.h"`
`#include "osl/pieceStand.h"`
`#include "osl/record/kanjiPrint.h"`
`#include <iostream>`
`#include <iomanip>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <unistd.h>`
Include dependency graph for show-eval.cc:

Go to the source code of this file.

## Functions
void | usage (const char *prog)
void | show (const char *filename)
int | main (int argc, char **argv)
void | make1 (const NumEffectState &state, const eval::ml::OpenMidEndingEval &eval, PieceValues &values)
void | make2 (const NumEffectState &state, const eval::ml::OpenMidEndingEval &eval, PieceValues &values)
void | show (const NumEffectState &state)

## Variables
int | verbose = 0
int | piece_estimate_level = 2

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 32 of file show-eval.cc.

References piece_estimate_level, osl::eval::ml::OpenMidEndingEval::setUp(), osl::progress::ml::NewProgress::setUp(), osl::record::csa::show(), and usage().

void make1 | ( | const NumEffectState & | state,
|  | const eval::ml::OpenMidEndingEval & | eval,
|  | PieceValues & | values
| ) |  |

Definition at line 66 of file show-eval.cc.

References osl::Piece::isOnBoard(), osl::KING, osl::Piece::number(), osl::Piece::owner(), osl::Piece::ptype(), osl::Piece::SIZE, osl::unpromote(), and osl::eval::ml::OpenMidEndingEval::value().

Referenced by show().

void make2 | ( | const NumEffectState & | state,
|  | const eval::ml::OpenMidEndingEval & | eval,
|  | PieceValues & | values
| ) |  |

Definition at line 78 of file show-eval.cc.

References count, osl::Piece::isOnBoard(), osl::KING, osl::Piece::owner(), osl::Piece::ptype(), osl::Piece::SIZE, osl::unpromote(), and osl::eval::ml::OpenMidEndingEval::value().

Referenced by show().

void show | ( | const char * | filename) |  |

void show | ( | const NumEffectState & | state) |  |

Definition at line 103 of file show-eval.cc.

References osl::eval::ml::OpenMidEndingEval::captureValue(), osl::eval::ml::OpenMidEndingEval::endgameValue(), osl::PtypeTable::getCsaName(), osl::PtypeTable::getIndexLimit(), osl::PtypeTable::getIndexMin(), osl::indexToPlayer(), osl::Piece::isOnBoard(), make1(), make2(), osl::eval::ml::OpenMidEndingEval::midgame2Value(), osl::eval::ml::OpenMidEndingEval::midgameValue(), osl::newPtypeO(), osl::Piece::number(), osl::eval::ml::OpenMidEndingEval::openingValue(), osl::PieceStand::order, osl::Piece::owner(), osl::PAWN, piece_estimate_level, osl::record::KanjiPrint::print(), osl::progress::ml::NewProgress::progress(), osl::eval::ml::OpenMidEndingEval::progress16(), osl::Piece::ptype(), osl::Ptype_Table, osl::Piece::square(), osl::unpromote(), osl::eval::ml::OpenMidEndingEval::value(), osl::WHITE, osl::Square::x(), and osl::Square::y().

void usage | ( | const char * | prog) |  |

Definition at line 20 of file show-eval.cc.

## Variable Documentation

int piece_estimate_level = 2

Definition at line 30 of file show-eval.cc.

Referenced by main(), and show().

int verbose = 0

Definition at line 29 of file show-eval.cc.